summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-08-24 00:02:04 +0200
committerErich Eckner <git@eckner.net>2017-08-24 00:02:04 +0200
commit832fa561b424e26f6d8c8d1658e8456858aec970 (patch)
treecd0a6f0c51ae246daf0007bd729df0d24b0e5ef5
parenta9db8b6d82ff3e43bdfc087cf921cd645edc79e4 (diff)
downloadbuilder-832fa561b424e26f6d8c8d1658e8456858aec970.tar.xz
bin/strict-bashism-check: also shellcheck before commiting
-rwxr-xr-xbin/strict-bashism-check12
-rwxr-xr-xconf/default.conf2
2 files changed, 13 insertions, 1 deletions
diff --git a/bin/strict-bashism-check b/bin/strict-bashism-check
index 9029471..e477213 100755
--- a/bin/strict-bashism-check
+++ b/bin/strict-bashism-check
@@ -83,3 +83,15 @@ if [ -n "${errors}" ]; then
>&2 echo "${errors}"
exit 1
fi
+
+errors=$(
+ cd "${tmp_dir}" || \
+ echo 'Cannot cd.'
+ shellcheck -x bin/* conf/* 2>&1
+)
+
+if [ -n "${errors}" ]; then
+ >&2 echo 'shellcheck complains about the following:'
+ >&2 echo "${errors}"
+ exit 1
+fi
diff --git a/conf/default.conf b/conf/default.conf
index 007a5fd..f9bf2ea 100755
--- a/conf/default.conf
+++ b/conf/default.conf
@@ -63,7 +63,7 @@ webserver_directory='/srv/http'
# possibly pull in custom modifications
-# shellcheck source=conf/local.conf
+# shellcheck source=/dev/null
[ -r "${base_dir}/conf/local.conf" ] && . "${base_dir}/conf/local.conf"
# check / set up environment